Ruby: internal/inits.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
inits.h File Reference

Internal header aggregating init functions. More...

Go to the source code of this file.

## Functions
void | Init_class_hierarchy (void)
void | Init_enc (void)
void | Init_ext (void)
void | Init_File (void)
void | Init_heap (void)
int | Init_enc_set_filesystem_encoding (void)
void | Init_newline (void)
void | Init_BareVM (void)
void | Init_vm_objects (void)
void | Init_vm_backtrace (void)
void | Init_vm_eval (void)
void | Init_vm_stack_canary (void)
void | Init_eval_method (void)
void | rb_call_inits (void)

## Detailed Description

Internal header aggregating init functions.

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition in file inits.h.

## Function Documentation

## ◆ Init_BareVM()

void Init_BareVM | ( | void |  | ) |

Definition at line 3702 of file vm.c.

References rb_vm_struct::barrier_cond, rb_thread_struct::ec, EXIT_FAILURE, Init_native_thread(), rb_vm_struct::lock, rb_vm_struct::main_ractor, MEMZERO, rb_vm_struct::negative_cme_table, rb_vm_struct::objspace, rb_vm_struct::ractor, rb_thread_struct::ractor, rb_id_table_create(), rb_native_cond_initialize(), rb_native_mutex_initialize(), rb_objspace_alloc(), rb_ractor_main_alloc(), ruby_current_vm_ptr, ruby_mimmalloc(), ruby_thread_init_stack(), rb_vm_struct::sync, rb_vm_struct::terminate_cond, and rb_thread_struct::vm.

Referenced by ruby_setup().

## ◆ Init_enc()

void Init_enc | ( | void |  | ) |

Definition at line 5 of file dmyenc.c.

References rb_encdb_alias(), rb_encdb_declare(), and require.

## ◆ Init_enc_set_filesystem_encoding()

int Init_enc_set_filesystem_encoding | ( | void |  | ) |

Definition at line 119 of file localeinit.c.

References ENCINDEX_ASCII, ENCINDEX_US_ASCII, ENCINDEX_UTF_8, rb_default_external_encoding(), rb_enc_find_index(), and rb_enc_to_index().

## ◆ Init_eval_method()

void Init_eval_method | ( | void |  | ) |

Definition at line 2634 of file vm_method.c.

References idRespond_to, idRespond_to_missing, rb_cModule, rb_define_method, rb_define_private_method, rb_eException, rb_mKernel, rb_singleton_class(), rb_vm_top_self(), and REPLICATE_METHOD.

Referenced by Init_eval().

## ◆ Init_ext()

void Init_ext | ( | void |  | ) |

Definition at line 2 of file dmyext.c.

## ◆ Init_File()

void Init_File | ( | void |  | ) |

Definition at line 6503 of file file.c.

References INT2FIX, LOCK_EX, LOCK_NB, LOCK_SH, LOCK_UN, O_BINARY, O_NONBLOCK, O_SHARE_DELETE, PATH_SEP, Qnil, rb_cFile, rb_cIO, rb_cObject, rb_cStat, rb_define_alloc_func(), rb_define_class(), rb_define_class_under(), rb_define_const(), rb_define_global_function, rb_define_method, rb_define_module(), rb_define_module_under(), rb_define_singleton_method, rb_file_birthtime, rb_file_directory_p(), rb_file_s_birthtime, rb_file_s_lchmod, rb_file_s_lchown, rb_file_s_link, rb_file_s_lutime, rb_file_s_mkfifo, rb_file_s_readlink, rb_file_s_symlink, rb_file_s_truncate, rb_file_truncate, rb_fstring_cstr, rb_fstring_lit, rb_include_module(), rb_mComparable, rb_mFileTest, rb_obj_freeze(), rb_stat_birthtime, rb_usascii_str_new2, and ruby_null_device.

Referenced by Init_IO().

## ◆ Init_heap()

void Init_heap | ( | void |  | ) |

Definition at line 3158 of file gc.c.

References finalizer_table, heap_eden, ruby_gc_params_t::heap_init_slots, HEAP_PAGE_OBJ_LIMIT, HEAP_PAGE_SIZE, rb_objspace::id_to_obj_tbl, int(), INT2FIX, rb_objspace::invoke_time, rb_objspace::mark_stack, rb_objspace::next_object_id, OBJ_ID_INITIAL, rb_objspace::obj_to_id_tbl, ruby_gc_params_t::oldmalloc_limit_min, rb_objspace::profile, rb_objspace, rb_objspace::rgengc, ruby_enable_autocompact, st_init_numtable, and st_init_table.

Referenced by ruby_setup().

## ◆ Init_newline()

void Init_newline | ( | void |  | ) |

Referenced by InitVM_transcode().

## ◆ Init_vm_backtrace()

void Init_vm_backtrace | ( | void |  | ) |

Definition at line 1246 of file vm_backtrace.c.

References CLASS_OF, rb_cArray, rb_cObject, rb_cThread, rb_define_alloc_func(), rb_define_class_under(), rb_define_global_function, rb_define_method, rb_marshal_define_compat(), rb_undef_alloc_func(), and rb_undef_method().

Referenced by Init_VM().

## ◆ Init_vm_eval()

void Init_vm_eval | ( | void |  | ) |

Definition at line 2579 of file vm_eval.c.

References METHOD_VISI_PUBLIC, OPTIMIZED_METHOD_TYPE_SEND, rb_add_method(), rb_cBasicObject, rb_cModule, rb_define_class(), rb_define_global_function, rb_define_method, rb_define_private_method, rb_eArgError, rb_f_eval(), rb_f_send(), rb_mKernel, and VM_METHOD_TYPE_OPTIMIZED.

Referenced by Init_eval().

## ◆ Init_vm_objects()

void Init_vm_objects | ( | void |  | ) |

Definition at line 3731 of file vm.c.

References rb_vm_struct::defined_module_hash, rb_vm_struct::frozen_strings, rb_vm_struct::loading_table, rb_vm_struct::mark_object_ary, rb_ary_tmp_new(), rb_fstring_hash_type, st_init_numtable, st_init_strtable, and st_init_table_with_size.

Referenced by ruby_setup().

## ◆ Init_vm_stack_canary()

void Init_vm_stack_canary | ( | void |  | ) |

Definition at line 5410 of file vm_insnhelper.c.

## ◆ rb_call_inits()

void rb_call_inits | ( | void |  | ) |

Definition at line 21 of file inits.c.

References CALL, load(), and sym.

Referenced by ruby_setup().